package com.zskk.dicom.monitor.schedules;

import com.zskk.dicom.monitor.config.Configs;
import com.zskk.dicom.monitor.utils.MonitorFileUtils;

import java.io.File;

public class InitMonitor {
    /**
     * 系统启动时，将目录中的图片进行上传处理
     */
    public static void start() {
        Configs.sysLog.info("Dicom monitor check waiting files ...");
        //读取监听文件
        File monitorDir = new File(Configs.monitorDir);
        //创建备份文件夹
         MonitorFileUtils.touchBackDir(monitorDir);
         File monitorRetryDir = new File(Configs.monitorRetryDir);
         MonitorFileUtils.touchRetryDir(monitorRetryDir);
         File eorrRetryDir = new File(Configs.eorrRetryDir);
         MonitorFileUtils.touchEorrDir(eorrRetryDir);
    }
}
