package com.zskk.dicom.monitor.uploader;

import com.zskk.dicom.monitor.config.Configs;
import org.apache.commons.io.FileUtils;

import java.io.File;
import java.util.Iterator;
/**
 *
 * 功能描述: 重试文件放入失败队列
 *
 * @param:
 * @return: 
 * @auther: zzp
 * @date: 2019/3/19 11:44
 */
public class HistoryFile3UploadQuenu implements Runnable{
    @SuppressWarnings("static-access")
    @Override
    public void run() {
        //读取监控文件夹
        File dir = new File(Configs.monitorRetryDir);
        Iterator<File> its = FileUtils.iterateFiles(dir, new String[]{"txt"}, true);
        while(its.hasNext()){
            File file = its.next();
            if(file.exists() && file.isFile()) {
                FileUploader.add(new File(file.getAbsolutePath()));
            }
        }
    }
}
